[JPackage-discuss] Re: [JPackage-announce] [RPM (1.6)] batik-1.5.1-1jpp

Ville Skyttä ville.skytta at iki.fi
Fri Jan 28 23:54:38 CET 2005

On Fri, 2005-01-28 at 16:32 -0500, Jason Corley wrote:
> Ah, that would explain why it went un-updated.  A user made the
> request and it seemed like a minor enough change that it wouldn't
> break anything so I went ahead and did it.  Why fop would be so
> sensitive to what amounts to a bugfix release would be my question.

IIRC the batik update masquerades as a "small bugfix update", but in
reality it contains backwards incompatible API changes.  A long time
ago, I tried to dig into fop CVS to see whether I could patch/backport
it to work with batik 1.5.1, but that turned out to be impractical, so I
dropped the effort.  I don't remember more details about that, sorry.

Hm, maybe it would be worth it to try and patch batik to be backwards
compatible instead of hacking fop (and other packages that might have
been borked by the update)...

More information about the JPackage-discuss mailing list